# rpmcli.h File Reference

`#include <popt.h>`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmurl.h>`
`#include <rpm/rpmmacro.h>`
`#include <rpm/rpmcallback.h>`
`#include <rpm/rpmts.h>`
`#include <rpm/rpmfi.h>`
`#include <rpm/rpmvf.h>`
`#include <rpm/argv.h>`

Include dependency graph for rpmcli.h:

Go to the source code of this file.

## Data Structures
struct | rpmQVKArguments_s
| Describe query/verify/signature command line operation. More...
struct | rpmBuildArguments_s
| Describe build command line request. More...
struct | rpmInstallArguments_s
| Describe database command line requests. More...
struct | rpmDatabaseArguments_s
| Describe database command line requests. More...
## Defines
#define | RPMCLI_POPT_NODEPS -1025
| Common/global popt tokens used for command line option tables.
#define | RPMCLI_POPT_FORCE -1026
#define | RPMCLI_POPT_NOMD5 -1027
#define | RPMCLI_POPT_NOFILEDIGEST -1027
#define | RPMCLI_POPT_NOSCRIPTS -1028
#define | RPMCLI_POPT_NOSIGNATURE -1029
#define | RPMCLI_POPT_NODIGEST -1030
#define | RPMCLI_POPT_NOHDRCHK -1031
#define | RPMCLI_POPT_NOCONTEXTS -1032
## Functions
poptContext | rpmcliInit (int argc, char *const argv[], struct poptOption *optionsTable)
| Initialize most everything needed by an rpm CLI executable context.
void | rpmcliConfigured (void)
| Make sure that rpm configuration has been read.
poptContext | rpmcliFini (poptContext optCon)
| Destroy most everything needed by an rpm CLI executable context.
## Variables
int | _noDirTokens
| Should version 3 packages be produced?
struct poptOption | rpmcliAllPoptTable []
| Popt option table for options shared by all modes and executables.
int | ftsOpts
struct poptOption | rpmcliFtsPoptTable []
const char * | rpmcliPipeOutput
const char * | rpmcliRcfile
const char * | rpmcliRootDir
RPMDB
struct rpmDatabaseArguments_s | rpmDBArgs
struct poptOption | rpmDatabasePoptTable []

## Detailed Description

Definition in file rpmcli.h.

## Define Documentation

#define _QUERY_FOR_BITS

Value:

    (QUERY_FOR_LIST|QUERY_FOR_STATE|QUERY_FOR_DOCS|QUERY_FOR_CONFIG|\
        QUERY_FOR_DUMPFILES)

Definition at line 137 of file rpmcli.h.

#define RPMCLI_POPT_FORCE -1026

Definition at line 71 of file rpmcli.h.

#define RPMCLI_POPT_NOCONTEXTS -1032

Definition at line 78 of file rpmcli.h.

#define RPMCLI_POPT_NODEPS -1025

Common/global popt tokens used for command line option tables.

Definition at line 70 of file rpmcli.h.

#define RPMCLI_POPT_NODIGEST -1030

Definition at line 76 of file rpmcli.h.

#define RPMCLI_POPT_NOFILEDIGEST -1027

Definition at line 73 of file rpmcli.h.

#define RPMCLI_POPT_NOHDRCHK -1031

Definition at line 77 of file rpmcli.h.

#define RPMCLI_POPT_NOMD5 -1027

Definition at line 72 of file rpmcli.h.

#define RPMCLI_POPT_NOSCRIPTS -1028

Definition at line 74 of file rpmcli.h.

#define RPMCLI_POPT_NOSIGNATURE -1029

Definition at line 75 of file rpmcli.h.

## Function Documentation

int rpmVerifySignatures | ( | QVA_t | qva,
|  | rpmts | ts,
|  | FD_t | fd,
|  | const char * | fn |
| ) |  |  |

Check package and header signatures.

Parameters:

  | qva | parsed query/verify options
  | ts | transaction set
  | fd | package file handle
  | fn | package file name

Returns:
  0 on success, 1 on failure

## Variable Documentation

int ftsOpts

struct poptOption rpmcliFtsPoptTable[]

const char* rpmcliPipeOutput

Referenced by main().

const char* rpmcliRcfile

Referenced by main().

const char* rpmcliRootDir

Referenced by main().